API referenceCustomFields
POST /api/CustomFields/GetByEntityType
Discovers the custom field definitions available for one of the core entity types. Supported entityType values: 2 (Order), 4 (Counterparty), 5 (Asset), 6 (MasterAgreement). Deal (1) and DealCluster (3) have no custom field discovery endpoint.
POST
/api/CustomFields/GetByEntityTypecurl -X POST "/api/CustomFields/GetByEntityType" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int32>
Response
application/json
The custom field definitions for the requested entity type.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.CustomFieldDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"type": 1,
"typeName": "string",
"required": true,
"defaultValue": "string",
"isTimeSliced": true,
"timeZoneInfo": 0,
"timeZoneInfoName": "string",
"values": [
"string"
],
"parseExternally": true,
"externalEndpoint": "string",
"options": [
{
"id": 0,
"value": "string",
"customFieldId": 0,
"customFieldName": "string"
}
],
"masterAgreementCustomFieldTypeDependencies": [
{
"customFieldId": 0,
"customFieldName": "string",
"masterAgreementTypeId": 0,
"masterAgreementTypeName": "string"
}
],
"assetCustomFieldTypeDependencies": [
{
"customFieldId": 0,
"customFieldName": "string",
"assetTypeId": 0,
"assetTypeName": "string"
}
],
"counterPartyCustomFieldTypeDependencies": [
{
"customFieldId": 0,
"customFieldName": "string",
"counterPartyTypeId": 1,
"counterPartyTypeName": "string"
}
]
}
]
}